%global git_hash 5022381

Name:       nodejs-rimraf
Version:    1.0.8
Release:    1%{?dist}
Summary:    A deep deletion module for node.js
License:    MIT
URL:        https://github.com/isaacs/rimraf
# download from https://github.com/isaacs/rimraf/tarball/%%{version}
Source0:    isaacs-rimraf-%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

%description
%summary (like `rm -rf`).

%prep
%setup -q -n isaacs-rimraf-013cc0e

# point to the right node.js binary so we can run tests
sed -i s/node/nodejs/ test/run.sh

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}
cp -p rimraf.js %{buildroot}%{nodejs_libdir}

%check
cd test
bash run.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/rimraf.js
%doc AUTHORS LICENSE README.md

%changelog
* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.8-1
- new upstream release

* Tue Aug 23 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.3-1
- initial package
